summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Chris Abela <kristofru@gmail.com>2012-12-11 17:14:18 (GMT)
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 21:23:09 (GMT)
commit730a4b495bacc870f6d6c467de202fe5accb0ff4 (patch)
tree42bd7af0c03035a7064c1be4ebba606b34da5990
parent7fdb981a04b333b87dcc730562013d3892779e08 (diff)
downloadslackbuilds-730a4b495bacc870f6d6c467de202fe5accb0ff4.tar.gz
system/burp: Updated for version 1.3.18.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--system/burp/burp.SlackBuild13
-rw-r--r--system/burp/burp.info6
-rw-r--r--system/burp/doinst.sh14
3 files changed, 11 insertions, 22 deletions
diff --git a/system/burp/burp.SlackBuild b/system/burp/burp.SlackBuild
index c106433..e7fe103 100644
--- a/system/burp/burp.SlackBuild
+++ b/system/burp/burp.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=burp
-VERSION=${VERSION:-1.3.12}
+VERSION=${VERSION:-1.3.18}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -75,7 +75,7 @@ sed -i 's/gzip/gzip -9/1' manpages/Makefile*
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
+ --prefix=/ \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc/$PRGNAM \
--localstatedir=/var \
@@ -94,7 +94,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- CHANGELOG CONTRIBUTORS LICENSE README TODO UPGRADING docs \
+ CHANGELOG CONTRIBUTORS DONATIONS LICENSE README TODO UPGRADING docs \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -103,9 +103,12 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
# Rename the config files
-for FILE in $(find $PKG/etc/ -type f); do
+cd $PKG
+for FILE in $(find etc -type f); do
mv $FILE $FILE.new
+ # Preserve the permissions only of executable config files
+ [ -x $FILE.new ] && echo preserve_perms $FILE.new >> $PKG/install/doinst.sh \
+ || echo config $FILE.new >> $PKG/install/doinst.sh
done
-cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/burp/burp.info b/system/burp/burp.info
index da46f93..91ba0cd 100644
--- a/system/burp/burp.info
+++ b/system/burp/burp.info
@@ -1,8 +1,8 @@
PRGNAM="burp"
-VERSION="1.3.12"
+VERSION="1.3.18"
HOMEPAGE="http://burp.grke.net"
-DOWNLOAD="http://sourceforge.net/projects/burp/files/burp-1.3.12.tar.bz2"
-MD5SUM="a2daf8d7c19b35fff84b3c43215a317a"
+DOWNLOAD="http://sourceforge.net/projects/burp/files/burp-1.3.18.tar.bz2"
+MD5SUM="fa15cfc599e413402cdfec7789bfbdf5"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="librsync"
diff --git a/system/burp/doinst.sh b/system/burp/doinst.sh
index 3c37c89..2eb7b31 100644
--- a/system/burp/doinst.sh
+++ b/system/burp/doinst.sh
@@ -17,17 +17,3 @@ preserve_perms() {
fi
config $NEW
}
-config etc/burp/burp-server.conf.new
-config etc/burp/burp.conf.new
-config etc/burp/ssl_cert-server.pem.new
-config etc/burp/ssl_cert_ca.pem.new
-config etc/burp/dhfile.pem.new
-config etc/burp/clientconfdir/testclient.new
-config etc/burp/autoupgrade/server/win32/script.new
-config etc/burp/autoupgrade/server/win64/script.new
-config etc/burp/ssl_cert-client.pem.new
-preserve_perms etc/burp/timer_script.new
-preserve_perms etc/burp/ssl_extra_checks_script.new
-preserve_perms etc/burp/summary_script.new
-preserve_perms etc/burp/notify_script.new
-preserve_perms etc/rc.d/rc.burp.new